Skip to navigation

Create a file type for Rent Manager

Create a file type for Rent Manager

Method
POST /UserDefinedFields
POST /UserDefinedValues
POST /Units/UserDefinedValues
POST /Contacts/UserDefinedValues
POST /LeaseRenewals/{id}/NonCommercialUserDefinedValues
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
location_idstringRequired
The Propexo unique identifier for the location
modelenumRequired

The Propexo data model (e.g. units, residents, applicants, etc.) for which you are attempting to upload a file

Allowed values:
namestringRequired
The name associated with the file type

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error